public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Denis Dupeyron" <calchan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-misc/rodent/
Date: Wed, 29 Nov 2017 00:31:52 +0000 (UTC)	[thread overview]
Message-ID: <1511915418.830468c4edd9ab377c33836c4d694acc8c68e600.calchan@gentoo> (raw)

commit:     830468c4edd9ab377c33836c4d694acc8c68e600
Author:     Denis Dupeyron <calchan <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 29 00:30:00 2017 +0000
Commit:     Denis Dupeyron <calchan <AT> gentoo <DOT> org>
CommitDate: Wed Nov 29 00:30:18 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=830468c4

x11-misc/rodent: migrate to EAPI6

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 x11-misc/rodent/Manifest                  |  2 +-
 x11-misc/rodent/rodent-5.3.16.3-r1.ebuild | 40 +++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 1 deletion(-)

diff --git a/x11-misc/rodent/Manifest b/x11-misc/rodent/Manifest
index 4522f530475..d3ae1e0e2d1 100644
--- a/x11-misc/rodent/Manifest
+++ b/x11-misc/rodent/Manifest
@@ -1 +1 @@
-DIST rodent-5.3.16.3.tar.bz2 10873231 SHA256 456ffaa4ef3b60af1a94dad0a35f1e3986235d81f00b257a3204074a2275f3d6 SHA512 83c85501d3fe49e84abe9bb61a23ca4ec86fb22abb2e9a01228b3180d114380ff085ee58f51b9ac47173214ab8323e0bde7cfca6fb9b7907d4b1551ad48326f5 WHIRLPOOL 2e8707d48b879209e225c8101f2919bb5cb327794da5d872ae5fa422bf2af39c2a828f0b81d359b9e7e06c18a5d8ff77d4249980293f62ea9833711c308360e5
+DIST rodent-5.3.16.3.tar.bz2 10873231 BLAKE2B 5eca3c69d5a0427997bfcb7af8cd187fcb9f49e98988ed16a2cb292e59686d82ca93f60f8c827669df3b168d53c1da5b956d267dc94c1b67793113ae42b98954 SHA512 83c85501d3fe49e84abe9bb61a23ca4ec86fb22abb2e9a01228b3180d114380ff085ee58f51b9ac47173214ab8323e0bde7cfca6fb9b7907d4b1551ad48326f5

diff --git a/x11-misc/rodent/rodent-5.3.16.3-r1.ebuild b/x11-misc/rodent/rodent-5.3.16.3-r1.ebuild
new file mode 100644
index 00000000000..ad96bd85d81
--- /dev/null
+++ b/x11-misc/rodent/rodent-5.3.16.3-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools gnome2-utils xdg-utils
+
+DESCRIPTION="A fast, small and powerful file manager and graphical shell"
+HOMEPAGE="http://xffm.org/"
+SRC_URI="mirror://sourceforge/xffm/${PV}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND=">=x11-libs/librfm-5.3.16.3"
+DEPEND="${RDEPEND}
+	dev-util/intltool
+	virtual/pkgconfig"
+
+DOCS=( AUTHORS ChangeLog TODO )
+
+src_prepare() {
+	pushd apps/rodent-pkg >/dev/null || die
+	sed -i -e "/^install-data-hook/d" \
+		-e "/rm -f/d" Build/Makefile.am || die
+	eautoreconf
+	popd >/dev/null || die
+	default
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_desktop_database_update
+}


             reply	other threads:[~2017-11-29  0:31 UTC|newest]

Thread overview: 8+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-11-29  0:31 Denis Dupeyron [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-01-06  5:05 [gentoo-commits] repo/gentoo:master commit in: x11-misc/rodent/ Thomas Deutschmann
2018-01-05 10:42 Mikle Kolyada
2017-06-09  7:39 Michał Górny
2017-01-13 15:41 Agostino Sarubbo
2016-12-20 12:31 Tobias Klausmann
2015-10-08  3:56 Christoph Mende
2015-10-07 17:50 Christoph Mende

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1511915418.830468c4edd9ab377c33836c4d694acc8c68e600.calchan@gentoo \
    --to=calchan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox